For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Invoices
      • GETGet transaction fees
      • GETGet transactions by invoiceid
      • POSTSearch transactions
    • OpenAPI spec
LogoLogo
API ReferenceBilling

Get Invoices

||View as Markdown|
GET
/2025-07/invoices
GET
/2025-07/invoices
$curl https://api.shipbob.com/2025-07/invoices \
> -H "Authorization: Bearer <token>"
1{
2 "first": "m8cUk/xJkbeYp2JJvL8oHqxL2hFuGz3qjqtkQ",
3 "items": [
4 {
5 "amount": 0.01,
6 "currency_code": "USD",
7 "invoice_date": "2019-08-24",
8 "invoice_id": 12345,
9 "invoice_type": "Shipping",
10 "running_balance": 123.01
11 }
12 ],
13 "last": "n8cUk/xJkbeYp2JJvL8oHqxL2hFiGz3qjqtkQ",
14 "next": "m8cUk/xJkbeYp2JhvL8oHqxL3hFiGz3qjqtkQ",
15 "prev": "m8cUk/xJkbeYp2JJvL8oHqxL2hFvGz3qjqtkQ"
16}
Gets a paginated list of invoices, optionally filtered by invoice types and date range
Was this page helpful?
Previous

Get locations

Next

Get transaction fees

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

CursorstringOptional

[Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters.

FromDatedatetimeOptional

[Optional] Start date for filtering invoices by invoice date. Default is current - 1 month date.

ToDatedatetimeOptional

[Optional] End date for filtering invoices by invoice date. Default is current date.

InvoiceTypeslist of stringsOptional

[Optional] Filter invoices by invoice type. Valid values: Shipping,WarehouseStorage,Inbound Fee,Return,AdditionalFee,Credits

PageSizeintegerOptional

Number of invoices to return per page (default: 100). Must be between 1 and 1000.

SortOrderstringOptional

Sort invoices by Invoice Date. Values - Ascending, Descending. Default: Descending.

Response

Success
firststring or null
Go to the first page
itemslist of objects or null
laststring or null
Go to the Last page
nextstring or null
Go to the Next page
prevstring or null
Go to the Previous page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error